remote runners
Create remote runners jobs
Requires scopes: runs:write
POST
/
api
/
remote-runners
/
jobs
Create remote runners jobs
curl --request POST \
--url https://evalgate.com/api/remote-runners/jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {},
"idempotencyKey": "<string>",
"requirements": {
"runtime": "<string>",
"network": {
"mode": "deny_all",
"allowlist": [
"<string>"
]
},
"maxOutputBytes": 123,
"executionKind": "prompt",
"cpuMillis": 123,
"memoryMb": 123,
"wallMillis": 123,
"requireStreaming": false,
"requireCancellation": false
},
"subject": {
"environment": "dev",
"kind": "prompt",
"artifactId": 123,
"versionId": 123
}
}
'import requests
url = "https://evalgate.com/api/remote-runners/jobs"
payload = {
"input": {},
"idempotencyKey": "<string>",
"requirements": {
"runtime": "<string>",
"network": {
"mode": "deny_all",
"allowlist": ["<string>"]
},
"maxOutputBytes": 123,
"executionKind": "prompt",
"cpuMillis": 123,
"memoryMb": 123,
"wallMillis": 123,
"requireStreaming": False,
"requireCancellation": False
},
"subject": {
"environment": "dev",
"kind": "prompt",
"artifactId": 123,
"versionId": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {},
idempotencyKey: '<string>',
requirements: {
runtime: '<string>',
network: {mode: 'deny_all', allowlist: ['<string>']},
maxOutputBytes: 123,
executionKind: 'prompt',
cpuMillis: 123,
memoryMb: 123,
wallMillis: 123,
requireStreaming: false,
requireCancellation: false
},
subject: {environment: 'dev', kind: 'prompt', artifactId: 123, versionId: 123}
})
};
fetch('https://evalgate.com/api/remote-runners/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job": {
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotencyKey": "<string>",
"subjectKind": "<string>",
"artifactId": 123,
"artifactVersionId": 123,
"artifactContentHash": "<string>",
"environment": "<string>",
"inputHash": "<string>",
"input": {},
"requirements": {
"runtime": "<string>",
"network": {
"mode": "deny_all",
"allowlist": [
"<string>"
]
},
"maxOutputBytes": 123,
"executionKind": "prompt",
"cpuMillis": 123,
"memoryMb": 123,
"wallMillis": 123,
"requireStreaming": true,
"requireCancellation": true
},
"requirementsHash": "<string>",
"state": "succeeded",
"dispatchAttempt": 123,
"activeClaimId": "<string>",
"queuedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"cancelRequestedAt": "2023-11-07T05:31:56Z",
"cancelRequestedBy": "<string>",
"cancelReason": "<string>",
"terminalAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"idempotent": true
}{
"job": {
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotencyKey": "<string>",
"subjectKind": "<string>",
"artifactId": 123,
"artifactVersionId": 123,
"artifactContentHash": "<string>",
"environment": "<string>",
"inputHash": "<string>",
"input": {},
"requirements": {
"runtime": "<string>",
"network": {
"mode": "deny_all",
"allowlist": [
"<string>"
]
},
"maxOutputBytes": 123,
"executionKind": "prompt",
"cpuMillis": 123,
"memoryMb": 123,
"wallMillis": 123,
"requireStreaming": true,
"requireCancellation": true
},
"requirementsHash": "<string>",
"state": "succeeded",
"dispatchAttempt": 123,
"activeClaimId": "<string>",
"queuedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"cancelRequestedAt": "2023-11-07T05:31:56Z",
"cancelRequestedBy": "<string>",
"cancelReason": "<string>",
"terminalAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"idempotent": true
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I
Create remote runners jobs
